Skip to main content
PATCH
Update a channel account staging token

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://app.hubspot.com/oauth/authorize
Token URL
https://api.hubapi.com/oauth/v1/token
Scopes1
conversations.custom_channels.read

Path Parameters

accountToken
string
required

The unique token of the channel account staging to be updated.

channelId
integer<int32>
required

The unique identifier of the custom conversation channel.

Body

application/json
accountName
string

A string representing the name of the account associated with the staging token.

deliveryIdentifier
object

Response

successful operation

accountToken
string
required

A string representing the unique token for the account.

createdAt
string<date-time>
required

The date and time when the token was created, in ISO 8601 format.

genericChannelId
integer<int32>
required

An integer representing the unique identifier of the generic channel.

inboxId
integer<int32>
required

An integer representing the unique identifier of the inbox associated with the account.

userId
integer<int32>
required

An integer representing the unique identifier of the user associated with the account.

accountName
string

A string representing the name of the account.

deliveryIdentifier
object
Last modified on September 9, 2026